package com.malk.hake.service;

import java.util.List;
import java.util.Map;

public interface HKClient {

    /**
     * 通用流程发起
     */
    Map<String, Object> startProcess(String code, Map data);

    /**
     * 通用审批回调
     */
    void callbackProcess(Map data);

    /**
     * 通讯录同步 [考勤同步前获取人员信息]
     */
    List<String> syncContact(boolean isAttendance);

    /**
     * 付款数据同步
     */
    void syncMonitor(String code, Map data);

    /**
     * 考勤回调 [废弃, 通过全量同步处理]
     */
    @Deprecated
    void callbackAttendance(Map data);

    /**
     * 清理标记位 [废弃, 通过全量同步处理]
     */
    @Deprecated
    void clearClockStatus();

    /**
     * 全量同步考勤
     */
    void syncAttendance(String tDate, List<String> userIds);

    /**
     * prd 数据初始化, 修正统一下班状态 [ tmp ]
     */
    @Deprecated
    void _correctionAttendance();

    void test();
}
